Fallback Voice Provider Support

We have updated our Public API to support fallback voice configurations. These changes allow you to specify a secondary voice provider and model to be used in case the primary synthesizer fails.

API Changes

The assistants API has been updated to include fallback voice fields within the agent object for GET, POST, and PUT requests.

FieldTypeDescription
fallback_voice_idstringThe ID of the fallback voice.
fallback_providerstringThe provider for the fallback voice (e.g., elevenlabs, deepgram, azure).
fallback_modelstringThe model to be used by the fallback provider.

Example usage:

1{
2 "name": "My Assistant",
3 "agent": {
4 "prompt": "You are a helpful assistant.",
5 "voice_id": "primary_voice_id",
6 "provider": "elevenlabs",
7 "fallback_voice_id": "fallback_voice_id",
8 "fallback_provider": "deepgram",
9 "fallback_model": "aura-asteria-en"
10 }
11}

Updated endpoints:

EndpointTitle
GET /assistantsList agents
GET /assistants/{model_id}Get an agent
POST /assistantsCreate an agent
PUT /assistants/{model_id}Update an agent